| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::SocketNetmaskIPv4 Struct Reference
Types and constants » Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

QString | address
uchar | prefixLength

## Detailed Description

Structure type generated from the specification.

An IPv4 network or subnet.

## Member Data Documentation

## § address

QString Tp::SocketNetmaskIPv4::address

A dotted-quad IPv4 address literal: four ASCII decimal numbers, each between 0 and 255 inclusive, e.g. "192.168.0.1".

## § prefixLength

uchar Tp::SocketNetmaskIPv4::prefixLength

The number of leading bits of the address that must match, for this netmask to be considered to match an address.